Loading...
Searching...
No Matches
casacore::MSSelectionKeywords Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSSelectionKeywords.h>`

## Public Types

enum

Field {
UNDEFINED ,
AMPLITUDE ,
CORRECTED_AMPLITUDE ,
MODEL_AMPLITUDE ,
RATIO_AMPLITUDE ,
RESIDUAL_AMPLITUDE ,
OBS_RESIDUAL_AMPLITUDE ,
ANTENNA1 ,
ANTENNA2 ,
ANTENNAS ,
ARRAY_ID ,
AXIS_INFO ,
CHAN_FREQ ,
CORR_NAMES ,
CORR_TYPES ,
DATA ,
CORRECTED_DATA ,
MODEL_DATA ,
RATIO_DATA ,
RESIDUAL_DATA ,
OBS_RESIDUAL_DATA ,
DATA_DESC_ID ,
FEED1 ,
FEED2 ,
FIELD_ID ,
FIELDS ,
FLAG ,
FLAG_ROW ,
FLAG_SUM ,
FLOAT_DATA ,
HA ,
IFR_NUMBER ,
IMAGINARY ,
CORRECTED_IMAGINARY ,
MODEL_IMAGINARY ,
RATIO_IMAGINARY ,
RESIDUAL_IMAGINARY ,
OBS_RESIDUAL_IMAGINARY ,
LAST ,
NUM_CORR ,
NUM_CHAN ,
PHASE ,
CORRECTED_PHASE ,
MODEL_PHASE ,
RATIO_PHASE ,
RESIDUAL_PHASE ,
OBS_RESIDUAL_PHASE ,
PHASE_DIR ,
REAL ,
CORRECTED_REAL ,
MODEL_REAL ,
RATIO_REAL ,
RESIDUAL_REAL ,
OBS_RESIDUAL_REAL ,
REF_FREQUENCY ,
ROWS ,
SCAN_NUMBER ,
SIGMA ,
TIME ,
TIMES ,
UT ,
UVW ,
U ,
V ,
W ,
UVDIST ,
WEIGHT ,
NUMBER_KEYWORDS
}

| The fields in the MS for which selection and range operations are defined. More...

## Static Public Member Functions

static Field | field (const String &keyword)
| convert a keyword string to the corresponding enum
static const String & | keyword (Field field)
| convert an enum value to the corresponding keyword string

## Private Member Functions

| MSSelectionKeywords ()
| This class is purely static, no instances are allowed.
| MSSelectionKeywords (const MSSelectionKeywords &other)
MSSelectionKeywords & | operator= (const MSSelectionKeywords &other)

## Static Private Member Functions

static std::map< String, Int > & | getMap ()
| Get the static map.
static Block< String > & | getReverseMap ()
| Get the static reverse map.
static std::map< String, Int > | initMap ()
| Create an initialized map.
static Block< String > | initReverseMap ()
| Create an initialized reverse map.

## Detailed Description

MSSelectionKeywords specifies selection keywords for the MeasurementSet

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSSelector

### Etymology

MSSelectionKeywords is a class that defines selection keywords

### Synopsis

This class is used to specify selections on a MeasurementSet. It is a purely static class that just defines a mapping from Strings to Enums, and provides these for use by classes like MSSelector and MSRange

### Example

### Motivation

Selection keywords are needed for several classes, this class provides them to all, avoiding duplication in each class.

### Thrown Exceptions

### To Do

- add this feature

Definition at line 86 of file MSSelectionKeywords.h.

## Member Enumeration Documentation

## Field

enum casacore::MSSelectionKeywords::Field

The fields in the MS for which selection and range operations are defined.

Some of these directly correspond to columns in the table, others are derived quantities or columns in subtables.

Enumerator
UNDEFINED | undefined field
AMPLITUDE | the range of visibility amplitude
CORRECTED_AMPLITUDE | the range of corrected vis amplitude
MODEL_AMPLITUDE | the range of model vis amplitude
RATIO_AMPLITUDE | the amplitude of the ratio corrected data/model data
RESIDUAL_AMPLITUDE | the residual vis amplitude (corrected-model)
OBS_RESIDUAL_AMPLITUDE | the observed residual vis amplitude (observed-model)
ANTENNA1 | the list of antenna1 id values
ANTENNA2 | the list of antenna2 id values
ANTENNAS | the list of antenna names
ARRAY_ID | the list of array id values
AXIS_INFO | description of the data axes
CHAN_FREQ | the channel frequencies, a vector for each selected spectral window
CORR_NAMES | the list of polarizations present, this gives the String values
CORR_TYPES | the list of polarizations present, this gives the Stokes enum values
DATA | the complex data
CORRECTED_DATA | the complex corrected data
MODEL_DATA | the complex model data
RATIO_DATA | the ratio corrected data/model data
RESIDUAL_DATA | the residual data (corrected - model)
OBS_RESIDUAL_DATA | the observed residual data (observed - model)
DATA_DESC_ID | the list of dataDescription id values
FEED1 | the list of feed1 id values
FEED2 | the list of feed2 id values
FIELD_ID | the list of field_id values
FIELDS | the list of field names
FLAG | the flags
FLAG_ROW | the row flags
FLAG_SUM | a summary of flags (flag count summed over rows)
FLOAT_DATA | the float data (optional single dish column)
HA | Hour angle.
IFR_NUMBER | the list of interferometers (= 1000*ant1+ant2) present
IMAGINARY | the (range of the) imaginary part of the visibilities
CORRECTED_IMAGINARY | the (range of the) imaginary part of the corrected visibilities
MODEL_IMAGINARY | the (range of the) imaginary part of the model visibilities
RATIO_IMAGINARY | the imaginary part of the ratio corrected data/model data
RESIDUAL_IMAGINARY | the (range of the) imaginary part of the residual visibilities
OBS_RESIDUAL_IMAGINARY | the (range of the) imaginary part of the observed residual visibilities
LAST | Local Apparent Sidereal Time.
NUM_CORR | the number of correlation products (polarizations) for selected spectral window
NUM_CHAN | the number of spectral channels for selected spectral window
PHASE | the (range of the) phase of the visibilities
CORRECTED_PHASE | the (range of the) phase of the corrected visibilities
MODEL_PHASE | the (range of the) phase of the model visibilities
RATIO_PHASE | the phase of the ratio corrected data/model data
RESIDUAL_PHASE | the (range of the) phase of the residual visibilities
OBS_RESIDUAL_PHASE | the (range of the) phase of the observed residual visibilities
PHASE_DIR | the phase center direction for each field (matrix + epoch)
REAL | the (range of the) real part of the visibilities
CORRECTED_REAL | the (range of the) real part of the corrected visibilities
MODEL_REAL | the (range of the) real part of the model visibilities
RATIO_REAL | the real part of the ratio corrected data/model data
RESIDUAL_REAL | the real part of the residual visibilities (corrected-model)
OBS_RESIDUAL_REAL | the real part of the observed residuals (observed-model)
REF_FREQUENCY | the reference frequency for selected spectral window (or vector with all)
ROWS | the list of row numbers in the original MS
SCAN_NUMBER | the list of scan_number values
SIGMA | the per spectrum sigmas
TIME | the range of times
TIMES | the list of time values
UT | UT time (seconds of current day).
UVW | the uvw coordinates
U | the (range of the) U coordinate (m)
V | the (range of the) V coordinate (m)
W | the (range of the) W coordinate (m)
UVDIST | the (range of the) UV-distance (m)
WEIGHT | the weights
NUMBER_KEYWORDS | Number of keywords.

Definition at line 92 of file MSSelectionKeywords.h.

## Constructor & Destructor Documentation

## MSSelectionKeywords() [1/2]

casacore::MSSelectionKeywords::MSSelectionKeywords | ( |  | ) |

private

This class is purely static, no instances are allowed.

Referenced by MSSelectionKeywords(), and operator=().

## MSSelectionKeywords() [2/2]

casacore::MSSelectionKeywords::MSSelectionKeywords | ( | const MSSelectionKeywords & | other | ) |

private

References MSSelectionKeywords().

## Member Function Documentation

## field()

Field casacore::MSSelectionKeywords::field | ( | const String & | keyword | ) |

static

convert a keyword string to the corresponding enum

References keyword().

Referenced by keyword().

## getMap()

std::map< String, Int > & casacore::MSSelectionKeywords::getMap | ( |  | ) |

static private

Get the static map.

## getReverseMap()

Block< String > & casacore::MSSelectionKeywords::getReverseMap | ( |  | ) |

static private

Get the static reverse map.

## initMap()

std::map< String, Int > casacore::MSSelectionKeywords::initMap | ( |  | ) |

static private

Create an initialized map.

## initReverseMap()

Block< String > casacore::MSSelectionKeywords::initReverseMap | ( |  | ) |

static private

Create an initialized reverse map.

## keyword()

const String & casacore::MSSelectionKeywords::keyword | ( | Field | field | ) |

static

convert an enum value to the corresponding keyword string

References field().

Referenced by field().

## operator=()

MSSelectionKeywords & casacore::MSSelectionKeywords::operator= | ( | const MSSelectionKeywords & | other | ) |

private

References MSSelectionKeywords().

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelectionKeywords.h